#region	 Licence and informations

/***************************************************************************************
 *		Date	:	20-5-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description:
 *      -----------
 *		DBNavigation bar.
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://cdinterface.sourceforge.net									  //
//      http://www.sourceforge.net/projects/cdinterface						  //
//																			  //
//    Contact:																  //
//      defdef@users.sourceforge.net										  //
//                                                                            //                               
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace CDIStudio.CDMenus.Components
{
	/// <summary>
	/// DBNavigation bar.
	/// </summary>
	public class DBNavigation : System.Windows.Forms.UserControl
	{
		public System.Windows.Forms.PictureBox WizardCtrl;
		public System.Windows.Forms.PictureBox LastCtrl;
		public System.Windows.Forms.PictureBox NextCtrl;
		public System.Windows.Forms.PictureBox PreviousCtrl;
		public System.Windows.Forms.PictureBox FirstCtrl;
		public System.Windows.Forms.PictureBox DeleteCtrl;
		public System.Windows.Forms.PictureBox AddCtrl;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public DBNavigation()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DBNavigation));
			this.WizardCtrl = new System.Windows.Forms.PictureBox();
			this.LastCtrl = new System.Windows.Forms.PictureBox();
			this.NextCtrl = new System.Windows.Forms.PictureBox();
			this.PreviousCtrl = new System.Windows.Forms.PictureBox();
			this.FirstCtrl = new System.Windows.Forms.PictureBox();
			this.DeleteCtrl = new System.Windows.Forms.PictureBox();
			this.AddCtrl = new System.Windows.Forms.PictureBox();
			this.SuspendLayout();
			// 
			// WizardCtrl
			// 
			this.WizardCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.WizardCtrl.Image = ((System.Drawing.Image)(resources.GetObject("WizardCtrl.Image")));
			this.WizardCtrl.Location = new System.Drawing.Point(176, 3);
			this.WizardCtrl.Name = "WizardCtrl";
			this.WizardCtrl.Size = new System.Drawing.Size(24, 24);
			this.WizardCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.WizardCtrl.TabIndex = 24;
			this.WizardCtrl.TabStop = false;
			this.WizardCtrl.Click += new System.EventHandler(this.WizardCtrl_Click);
			// 
			// LastCtrl
			// 
			this.LastCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.LastCtrl.Image = ((System.Drawing.Image)(resources.GetObject("LastCtrl.Image")));
			this.LastCtrl.Location = new System.Drawing.Point(147, 3);
			this.LastCtrl.Name = "LastCtrl";
			this.LastCtrl.Size = new System.Drawing.Size(24, 24);
			this.LastCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.LastCtrl.TabIndex = 23;
			this.LastCtrl.TabStop = false;
			this.LastCtrl.Click += new System.EventHandler(this.LastCtrl_Click);
			// 
			// NextCtrl
			// 
			this.NextCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.NextCtrl.Image = ((System.Drawing.Image)(resources.GetObject("NextCtrl.Image")));
			this.NextCtrl.Location = new System.Drawing.Point(118, 3);
			this.NextCtrl.Name = "NextCtrl";
			this.NextCtrl.Size = new System.Drawing.Size(24, 24);
			this.NextCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.NextCtrl.TabIndex = 22;
			this.NextCtrl.TabStop = false;
			this.NextCtrl.Click += new System.EventHandler(this.NextCtrl_Click);
			// 
			// PreviousCtrl
			// 
			this.PreviousCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.PreviousCtrl.Image = ((System.Drawing.Image)(resources.GetObject("PreviousCtrl.Image")));
			this.PreviousCtrl.Location = new System.Drawing.Point(89, 3);
			this.PreviousCtrl.Name = "PreviousCtrl";
			this.PreviousCtrl.Size = new System.Drawing.Size(24, 24);
			this.PreviousCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.PreviousCtrl.TabIndex = 21;
			this.PreviousCtrl.TabStop = false;
			this.PreviousCtrl.Click += new System.EventHandler(this.PreviousCtrl_Click);
			// 
			// FirstCtrl
			// 
			this.FirstCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.FirstCtrl.Image = ((System.Drawing.Image)(resources.GetObject("FirstCtrl.Image")));
			this.FirstCtrl.Location = new System.Drawing.Point(60, 3);
			this.FirstCtrl.Name = "FirstCtrl";
			this.FirstCtrl.Size = new System.Drawing.Size(24, 24);
			this.FirstCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.FirstCtrl.TabIndex = 20;
			this.FirstCtrl.TabStop = false;
			this.FirstCtrl.Click += new System.EventHandler(this.FirstCtrl_Click);
			// 
			// DeleteCtrl
			// 
			this.DeleteCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.DeleteCtrl.Image = ((System.Drawing.Image)(resources.GetObject("DeleteCtrl.Image")));
			this.DeleteCtrl.Location = new System.Drawing.Point(31, 3);
			this.DeleteCtrl.Name = "DeleteCtrl";
			this.DeleteCtrl.Size = new System.Drawing.Size(24, 24);
			this.DeleteCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.DeleteCtrl.TabIndex = 19;
			this.DeleteCtrl.TabStop = false;
			this.DeleteCtrl.Click += new System.EventHandler(this.DeleteCtrl_Click);
			// 
			// AddCtrl
			// 
			this.AddCtrl.Cursor = System.Windows.Forms.Cursors.Hand;
			this.AddCtrl.Image = ((System.Drawing.Image)(resources.GetObject("AddCtrl.Image")));
			this.AddCtrl.Location = new System.Drawing.Point(2, 3);
			this.AddCtrl.Name = "AddCtrl";
			this.AddCtrl.Size = new System.Drawing.Size(24, 24);
			this.AddCtrl.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.AddCtrl.TabIndex = 18;
			this.AddCtrl.TabStop = false;
			this.AddCtrl.Click += new System.EventHandler(this.AddCtrl_Click);
			// 
			// DBNavigation
			// 
			this.Controls.Add(this.WizardCtrl);
			this.Controls.Add(this.LastCtrl);
			this.Controls.Add(this.NextCtrl);
			this.Controls.Add(this.PreviousCtrl);
			this.Controls.Add(this.FirstCtrl);
			this.Controls.Add(this.DeleteCtrl);
			this.Controls.Add(this.AddCtrl);
			this.Name = "DBNavigation";
			this.Size = new System.Drawing.Size(202, 30);
			this.ResumeLayout(false);

		}
		#endregion


		#region Fields


		#endregion


		#region Propertys


		#endregion


		#region Indexes


		#endregion


		#region Events

		/// <summary>
		/// Occurs when the AddItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the AddItem is clicked.")]
		public event System.EventHandler AddClick;

		/// <summary>
		/// Occurs when the DeleteItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the DeleteItem is clicked.")]
		public event System.EventHandler DeleteClick;

		/// <summary>
		/// Occurs when the FirstItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the FirstItem is clicked.")]
		public event System.EventHandler FirstClick;

		/// <summary>
		/// Occurs when the PreviousItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the PreviousItem is clicked.")]
		public event System.EventHandler PreviousClick;

		/// <summary>
		/// Occurs when the NextItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the NextItem is clicked.")]
		public event System.EventHandler NextClick;

		/// <summary>
		/// Occurs when the LastItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the LastItem is clicked.")]
		public event System.EventHandler LastClick;

		/// <summary>
		/// Occurs when the WizardItem is clicked.
		/// </summary>
		[Category("Data")]
		[Description("Occurs when the WizardItem is clicked.")]
		public event System.EventHandler WizardClick;

		#endregion


		#region Methods

		private void AddCtrl_Click(object sender, System.EventArgs e)
		{
			AddClick(sender,e);
		}

		private void DeleteCtrl_Click(object sender, System.EventArgs e)
		{
			DeleteClick(sender,e);
		}

		private void FirstCtrl_Click(object sender, System.EventArgs e)
		{
			FirstClick(sender,e);
		}

		private void PreviousCtrl_Click(object sender, System.EventArgs e)
		{
			PreviousClick(sender,e);
		}

		private void NextCtrl_Click(object sender, System.EventArgs e)
		{
			NextClick(sender,e);
		}

		private void LastCtrl_Click(object sender, System.EventArgs e)
		{
			LastClick(sender,e);
		}

		private void WizardCtrl_Click(object sender, System.EventArgs e)
		{
			WizardClick(sender,e);
		}


		#endregion

	}
}
