#region	 Licence and informations

/***************************************************************************************
 *		Date	:	14-3-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description:
 *      -----------
 * 
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://cdinterface.sourceforge.net									  //
//      http://www.sourceforge.net/projects/cdinterface						  //
//																			  //
//    Contact:																  //
//      defdef@users.sourceforge.net										  //
//                                                                            //                               
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;
using Finisar.SQLite;
using System.Data;

namespace CDIStudio.CDMenus.DB
{
	/// <summary>
	/// Summary description for DB.
	/// </summary>
	public class DataBase
	{
		public DataBase()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		
		#region Fields
		protected CDIStudio.CDMenus.DB.DataPanel fDataPanel;
		protected Finisar.SQLite.SQLiteConnection connection;
		protected Finisar.SQLite.SQLiteDataAdapter dataAdapter;
		protected Finisar.SQLite.SQLiteCommand command;
		protected DataSet fDS;
		protected string selectStr;
		protected string UpdateStr;
		protected string InsertStr;
		protected string DeleteStr;
		#endregion


		#region Propertys
		/*public Finisar.SQLite.SQLiteConnection Connection
		{
			get{return	fConnection;}
			set{fConnection = value;}
		}

		public Finisar.SQLite.SQLiteDataAdapter DataAdapter
		{
			get{return fDataAdapter;}
			//set{fDataAdapter = value;}
		}			   */

		public CDIStudio.CDMenus.DB.DataPanel dataPanel
		{
			get{	return fDataPanel;	}
		}

		public DataSet DS
		{
			get{ return fDS;}
		}
		protected string ConnectionStringNew
		{
			get
			{	
				string dbPath =	 CDMenus.Forms.CDMenu.DBFolder + @"\" + "data.sqlitedb;";
					
				return 
					@"Data Source=" + dbPath +
					@"Version=3; 
					New=True; 
					Compress=False;  
					UTF8Encoding=True; 
					Cache Size=2000;  
					Synchronous=Normal;  
					Compatibility=None;";
			}
		}

		protected string ConnectionStringOpen
		{
			get
			{	
				string dbPath =	 CDMenus.Forms.CDMenu.DBFolder + @"\" + "data.sqlitedb";
					
				return 
					@"Data Source=" + dbPath + ";" +
					@"Version=3; 
					New=False; 
					Compress=False;  
					UTF8Encoding=True; 
					Cache Size=2000;  
					Synchronous=Normal;  
					Compatibility=None;";
			}
		}

		#endregion


		#region Indexes


		#endregion


		#region Methods


		/// <summary>
		/// Override this method to create a new database.
		/// </summary>
		public virtual void CreateDB(){}

		/// <summary>
		/// Override this method to open the database.
		/// </summary>
		public virtual void OpenDB()
		{
			//Fire opening event
			OpeningDB();
		}

		/// <summary>
		/// Override this method to close the database.
		/// </summary>
		//public virtual void CloseDB(){}

		/// <summary>
		/// Override this method to save the database.
		/// </summary>
		public virtual void SaveDB(){}

		/// <summary>
		/// Override this method to create the DataPanel.
		/// </summary>
		public virtual void CreateDataPanel(){}
		
		#endregion

		#region Events
		public event DBEvent OpeningDB;

		#endregion
	}

	public delegate void DBEvent();
}
