#region	 Licence and informations

/***************************************************************************************
 *		Date	:	14-3-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description:
 *      -----------
 * 
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://www.sourceforge.net/projects/cdinterface.                      //
//      http://www.cdinterface.sourceforge.net                                //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.Drawing.Design;
using System.Globalization;
using System.Reflection;

namespace CDIStudio.CDMenus.TypeEditors
{
	/// <summary>
	/// Summary description for CDMenuInfoEditor.
	/// </summary>
	public class FormEditor : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormEditor()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.panel1 = new System.Windows.Forms.Panel();
			this.cbBorderStyle = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.panel3 = new System.Windows.Forms.Panel();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOk = new System.Windows.Forms.Button();
			this.panel2 = new System.Windows.Forms.Panel();
			this.Statelbl = new System.Windows.Forms.Label();
			this.cbState = new System.Windows.Forms.ComboBox();
			this.gbTitleBarButtons = new System.Windows.Forms.GroupBox();
			this.chBoxMin = new System.Windows.Forms.CheckBox();
			this.chBoxMax = new System.Windows.Forms.CheckBox();
			this.panel1.SuspendLayout();
			this.panel3.SuspendLayout();
			this.panel2.SuspendLayout();
			this.gbTitleBarButtons.SuspendLayout();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.cbBorderStyle);
			this.panel1.Controls.Add(this.label1);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(191, 32);
			this.panel1.TabIndex = 2;
			// 
			// cbBorderStyle
			// 
			this.cbBorderStyle.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbBorderStyle.Items.AddRange(new object[] {
															   "Fixed",
															   "None",
															   "Sizable"});
			this.cbBorderStyle.Location = new System.Drawing.Point(67, 6);
			this.cbBorderStyle.Name = "cbBorderStyle";
			this.cbBorderStyle.Size = new System.Drawing.Size(121, 21);
			this.cbBorderStyle.TabIndex = 2;
			this.cbBorderStyle.SelectedIndexChanged += new System.EventHandler(this.cbBorderStyle_SelectedIndexChanged);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(5, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(70, 15);
			this.label1.TabIndex = 1;
			this.label1.Text = "Border style:";
			// 
			// panel3
			// 
			this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.panel3.Controls.Add(this.btnCancel);
			this.panel3.Controls.Add(this.btnOk);
			this.panel3.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.panel3.Location = new System.Drawing.Point(0, 154);
			this.panel3.Name = "panel3";
			this.panel3.Size = new System.Drawing.Size(191, 43);
			this.panel3.TabIndex = 3;
			// 
			// btnCancel
			// 
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnCancel.Location = new System.Drawing.Point(110, 7);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "Cancel";
			// 
			// btnOk
			// 
			this.btnOk.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOk.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnOk.Location = new System.Drawing.Point(25, 8);
			this.btnOk.Name = "btnOk";
			this.btnOk.TabIndex = 0;
			this.btnOk.Text = "OK";
			// 
			// panel2
			// 
			this.panel2.Controls.Add(this.Statelbl);
			this.panel2.Controls.Add(this.cbState);
			this.panel2.Controls.Add(this.gbTitleBarButtons);
			this.panel2.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel2.Location = new System.Drawing.Point(0, 32);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(191, 122);
			this.panel2.TabIndex = 4;
			// 
			// Statelbl
			// 
			this.Statelbl.Location = new System.Drawing.Point(8, 92);
			this.Statelbl.Name = "Statelbl";
			this.Statelbl.Size = new System.Drawing.Size(36, 23);
			this.Statelbl.TabIndex = 2;
			this.Statelbl.Text = "State:";
			// 
			// cbState
			// 
			this.cbState.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cbState.Items.AddRange(new object[] {
														 "Maximize",
														 "Normal"});
			this.cbState.Location = new System.Drawing.Point(44, 91);
			this.cbState.Name = "cbState";
			this.cbState.Size = new System.Drawing.Size(139, 21);
			this.cbState.TabIndex = 1;
			// 
			// gbTitleBarButtons
			// 
			this.gbTitleBarButtons.Controls.Add(this.chBoxMin);
			this.gbTitleBarButtons.Controls.Add(this.chBoxMax);
			this.gbTitleBarButtons.Location = new System.Drawing.Point(5, 10);
			this.gbTitleBarButtons.Name = "gbTitleBarButtons";
			this.gbTitleBarButtons.Size = new System.Drawing.Size(182, 72);
			this.gbTitleBarButtons.TabIndex = 0;
			this.gbTitleBarButtons.TabStop = false;
			this.gbTitleBarButtons.Text = "TitleBar Buttons";
			// 
			// chBoxMin
			// 
			this.chBoxMin.Location = new System.Drawing.Point(8, 45);
			this.chBoxMin.Name = "chBoxMin";
			this.chBoxMin.TabIndex = 1;
			this.chBoxMin.Text = "Minimize";
			// 
			// chBoxMax
			// 
			this.chBoxMax.Location = new System.Drawing.Point(10, 18);
			this.chBoxMax.Name = "chBoxMax";
			this.chBoxMax.TabIndex = 0;
			this.chBoxMax.Text = "Maximize";
			// 
			// FormEditor
			// 
			this.AcceptButton = this.btnOk;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.Control;
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(191, 197);
			this.Controls.Add(this.panel2);
			this.Controls.Add(this.panel3);
			this.Controls.Add(this.panel1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormEditor";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Form Editor";
			this.Closed += new System.EventHandler(this.FormEditor_Closed);
			this.VisibleChanged += new System.EventHandler(this.FormEditor_VisibleChanged);
			this.panel1.ResumeLayout(false);
			this.panel3.ResumeLayout(false);
			this.panel2.ResumeLayout(false);
			this.gbTitleBarButtons.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Panel panel3;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button btnOk;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.ComboBox cbBorderStyle;
		private System.Windows.Forms.GroupBox gbTitleBarButtons;
		private System.Windows.Forms.CheckBox chBoxMax;
		private System.Windows.Forms.CheckBox chBoxMin;
		private System.Windows.Forms.ComboBox cbState;
		private System.Windows.Forms.Label Statelbl;
		


		#region Fields
		public CDIStudio.CDMenus.Forms.CDMenu cdMenu;
		#endregion

		#region Propertys


		#endregion


		#region Indexes


		#endregion


		#region Methods
		private void FormEditor_VisibleChanged(object sender, System.EventArgs e)
		{
			Type classCDMenu = cdMenu.GetType();
				
			if(Visible == true)
			{
			    string border = cdMenu.FormBorderStyle.ToString();

				if((border == "FixedSingle")||(border =="Fixed3D")
					||(border =="FixedDialog")||(border =="FixedToolWindow"))
				cbBorderStyle.Text = cbBorderStyle.Items[0].ToString();
				else if(border == "None")
					cbBorderStyle.Text = cbBorderStyle.Items[1].ToString();
				if((border == "Sizable")||(border =="SizableToolWindow"))
					cbBorderStyle.Text = cbBorderStyle.Items[2].ToString();
				
				
				chBoxMax.Checked = cdMenu.MaximizeBox;
				chBoxMin.Checked = cdMenu.MinimizeBox;

				string state = cdMenu.WindowState.ToString();
				if(state == "Maximize")
					cbState.Text = cbState.Items[0].ToString();
				else if((state == "Normal")||(state == "Minimize"))
					cbState.Text = cbState.Items[1].ToString();	
			}
		}

		#endregion


		private void FormEditor_Closed(object sender, System.EventArgs e)
		{
			if(this.DialogResult == System.Windows.Forms.DialogResult.OK)
			{
				if(cbBorderStyle.Text == "Fixed")
					cdMenu.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
				else if(cbBorderStyle.Text == "None")
					cdMenu.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
				else if(cbBorderStyle.Text == "Sizable")
					cdMenu.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Sizable;

				
				cdMenu.MaximizeBox = chBoxMax.Checked;
				cdMenu.MinimizeBox = chBoxMin.Checked;

				if(cbState.Text == "Maximize")
					cdMenu.WindowState = System.Windows.Forms.FormWindowState.Maximized;
				else if(cbState.Text == "Normal")
					cdMenu.WindowState = System.Windows.Forms.FormWindowState.Normal;
			}
		}

		private void cbBorderStyle_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if(cbBorderStyle.Text == "None")
			{
				chBoxMax.Enabled = false;
				chBoxMin.Enabled = false;
			}
			else
			{
				chBoxMax.Enabled = true;
				chBoxMin.Enabled = true;
			}
		}

		#region Events


		#endregion
	}



	#region	 FormTypeEditor

	public class FormTypeEditor : System.Drawing.Design.UITypeEditor 
	{
		public FormTypeEditor()
		{
			 
	
		}

		[System.Security.Permissions.PermissionSet(System.Security.Permissions.SecurityAction.Demand, Name="FullTrust")]
		public override System.Drawing.Design.UITypeEditorEditStyle GetEditStyle(System.ComponentModel.ITypeDescriptorContext context)
		{
			
			return UITypeEditorEditStyle.Modal;	 
		}

		[System.Security.Permissions.PermissionSet(System.Security.Permissions.SecurityAction.Demand, Name="FullTrust")]
		public override object EditValue(System.ComponentModel.ITypeDescriptorContext context, System.IServiceProvider provider, object value)
		{
			IWindowsFormsEditorService edSvc = (IWindowsFormsEditorService)provider.GetService(typeof(IWindowsFormsEditorService));
			if( edSvc != null )
			{					
				FormEditor editor = new FormEditor();
				editor.cdMenu = CDIStudio.CDMenus.CDMenuFactory.CDMenu;

				if (edSvc.ShowDialog(editor) == System.Windows.Forms.DialogResult.OK)
				{  
					return value;
				}
			}
			return value;
		}

		public override bool GetPaintValueSupported(
			System.ComponentModel.ITypeDescriptorContext context)
		{
			// No special thumbnail will be shown for the grid.
			return false;
		}		
	}
	#endregion


	#region	class FormConverter
	/// <summary>
	/// ConverterType for ActionParametersConverter.
	/// </summary>
	public class FormConverter : TypeConverter 
	{
		// Overrides the CanConvertFrom method of TypeConverter.
		// The ITypeDescriptorContext interface provides the context for the
		// conversion. Typically, this interface is used at design time to 
		// provide information about the design-time container.
		public override bool CanConvertFrom(ITypeDescriptorContext context, 
			Type sourceType) 
		{
			
			if (sourceType == typeof(string)) 
			{
				//this make the property grid to forbid you , from editing directly the string.
				return false;
			}
			return base.CanConvertFrom(context, sourceType);
		}

		// Overrides the ConvertFrom method of TypeConverter.
		public override object ConvertFrom(ITypeDescriptorContext context, 
			CultureInfo culture, object value) 
		{
			//
			/*
			if (value is string) 
			{
				string[] v = ((string)value).Split(new char[] {':'});
				ActionParameters ap = new ActionParameters();
				ap[0] = v[0];
				ap[1] = v[1];
				return ap;

			}											   */
			return base.ConvertFrom(context, culture, value);	
		}
		// Overrides the ConvertTo method of TypeConverter.
		public override object ConvertTo(ITypeDescriptorContext context, 
			CultureInfo culture, object value, Type destinationType) 
		{  
			if (destinationType == typeof(string)) 
			{
				return "Form Editor";
			}
			return base.ConvertTo(context, culture, value, destinationType);
		}
	}

	#endregion
}
