#region	 Licence and informations

/***************************************************************************************
 *		Date	:	14-3-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description:
 *      -----------
 * 
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://www.sourceforge.net/projects/cdinterface.                      //
//      http://www.cdinterface.sourceforge.net                                //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace CDIStudio.CDMenus.TypeEditors
{
	/// <summary>
	/// Summary description for TextEditor.
	/// </summary>
	public class TextEditor : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panelBottom;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button BtnCancel;
		public System.Windows.Forms.TextBox TxtBox;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public TextEditor()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(TextEditor));
			this.TxtBox = new System.Windows.Forms.TextBox();
			this.panelBottom = new System.Windows.Forms.Panel();
			this.BtnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.panelBottom.SuspendLayout();
			this.SuspendLayout();
			// 
			// TxtBox
			// 
			this.TxtBox.AcceptsReturn = true;
			this.TxtBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.TxtBox.Location = new System.Drawing.Point(0, 0);
			this.TxtBox.Multiline = true;
			this.TxtBox.Name = "TxtBox";
			this.TxtBox.ScrollBars = System.Windows.Forms.ScrollBars.Both;
			this.TxtBox.Size = new System.Drawing.Size(410, 348);
			this.TxtBox.TabIndex = 0;
			this.TxtBox.Text = "";
			// 
			// panelBottom
			// 
			this.panelBottom.Controls.Add(this.BtnCancel);
			this.panelBottom.Controls.Add(this.btnOK);
			this.panelBottom.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.panelBottom.Location = new System.Drawing.Point(0, 296);
			this.panelBottom.Name = "panelBottom";
			this.panelBottom.Size = new System.Drawing.Size(410, 52);
			this.panelBottom.TabIndex = 1;
			// 
			// BtnCancel
			// 
			this.BtnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.BtnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.BtnCancel.Location = new System.Drawing.Point(207, 21);
			this.BtnCancel.Name = "BtnCancel";
			this.BtnCancel.TabIndex = 1;
			this.BtnCancel.Text = "Cancel";
			// 
			// btnOK
			// 
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnOK.Location = new System.Drawing.Point(127, 22);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "OK";
			// 
			// TextEditor
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.BtnCancel;
			this.ClientSize = new System.Drawing.Size(410, 348);
			this.Controls.Add(this.panelBottom);
			this.Controls.Add(this.TxtBox);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "TextEditor";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "TextEditor";
			this.panelBottom.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion
	}
}
