#region	 Licence and informations



/***************************************************************************************
 *		Date	:	21-4-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description: Global variables for Studio.
 *      -----------
 * 
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://cdinterface.sourceforge.net									  //
//      http://www.sourceforge.net/projects/cdinterface						  //
//																			  //
//    Contact:																  //
//      defdef@users.sourceforge.net										  //
//                                                                            //                               
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;

namespace CDIStudio.Studio
{
	/// <summary>
	/// Global variables for Studio.
	/// </summary>
	public class Var
	{
		/// <summary>
		/// Global variables for Studio.
		/// </summary>
		public Var()
		{
			
		}

		#region	Fields

		private static CDIStudio.Studio.MainForm fMainForm;
		#endregion

		#region	Properties

		/// <summary>
		/// The main form of Studio. 
		/// </summary>
		public static CDIStudio.Studio.MainForm MainForm
		{
			get{ return fMainForm; }
			set{ fMainForm = value; }
		}

		#endregion
	}
}
