#region	 Licence and informations



/***************************************************************************************
 *		Date	:	14-3-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description:
 *      -----------
 * 
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://cdinterface.sourceforge.net									  //
//      http://www.sourceforge.net/projects/cdinterface						  //
//																			  //
//    Contact:																  //
//      defdef@users.sourceforge.net										  //
//                                                                            //                               
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Runtime.Serialization;

namespace CDIStudio.CDMenus.Forms
{
	[Serializable]
	public class TemplateCDMenu : CDIStudio.CDMenus.Forms.CDMenu
	{
		private System.ComponentModel.IContainer components = null;

		public TemplateCDMenu()
		{
			// This call is required by the Windows Form Designer.
			InitializeComponent();

			// Version of this CD-Menu
			fMajorVersion = 1;		
			fMinorVersion = 0;

			//Add propertys here
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			// 
			// TemplateCDMenu
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(336, 278);
			this.Name = "TemplateCDMenu";

		}
		#endregion


		#region	CDMenu Info

		private new static CDMenuInfo fInfo;
		static new public CDMenuInfo Info
		{
			get{ return fInfo; }  
		}

		//Static constructor. Initialize CDMenuInfo.
		static TemplateCDMenu()
		{
			fInfo = new CDMenuInfo();   			
			Info.Name = "Template";
			Info.Description = "My description.";
			Info.Librarys = new string[] {};
			Info.Authors = new string[] {"Theodoros Antoniou"};
		}
		#endregion


		#region Serialization & PropertyEditor support
		
		//Deserialization constructor.
		public TemplateCDMenu(SerializationInfo info, StreamingContext ctxt):this()
		{	
			PropManager.Deserialize(info);  
		}

		//Serialization function
		public override void GetObjectData(SerializationInfo info, StreamingContext ctxt)
		{
			//When you mark an object with the Serialize attribute , it uses this function
			//for serialization.
			
			PropManager.Serialize(info);	
		}
	
		#endregion	


		#region	Run time support
	
		/// <summary>
		/// It is called when the CDMenu is instantiate at autorun.
		/// Here you should put the code that you want to be executed only at autorun time. 
		/// </summary>
		public override void  AutorunInitialization()
		{
			
		}
		#endregion

		#region	Database

		public override void InitializeDataBindings()
		{
			//Add the databindings.

		}


	    #endregion
		
	}
}
