#region	 Licence and informations

/***************************************************************************************
 *		Date	:	14-3-2005
 *		Author	:	Theodoros Antoniou
 * 
 *		Description:
 *      -----------
 * 
 * 
 *	   Copyright (C) 2005  Theodoros Antoniou 
 ***************************************************************************************/
 

////////////////////////////////////////////////////////////////////////////////
//   License Agreement:                                                       //
//                                                                            //
//    This program is free software; you can redistribute it and/or modify    //
//    it under the terms of the GNU General Public License as published by    //
//    the Free Software Foundation; either version 2 of the License, or       //
//    (at your option) any later version.                                     //
//                                                                            //
//    This program is distributed in the hope that it will be useful,         //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of          //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           //
//    GNU General Public License for more details.                            //
//                                                                            //
//    You should have received a copy of the GNU General Public License       //
//    along with this program; if not, write to the Free Software             //
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA //
//                                                                            //
//    The project web site is located on:                                     //
//      http://www.sourceforge.net/projects/cdinterface.                      //
//      http://www.cdinterface.sourceforge.net                                //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.Drawing.Design;
using System.Globalization;
using System.Reflection;

namespace CDIStudio.CDMenus.TypeEditors
{
	/// <summary>
	/// Summary description for CDMenuInfoEditor.
	/// </summary>
	public class CDMenuInfoEditor : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public CDMenuInfoEditor()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gbInfo = new System.Windows.Forms.GroupBox();
			this.lblDescription = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.lblVersion = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.lblAuthors = new System.Windows.Forms.Label();
			this.lblName = new System.Windows.Forms.Label();
			this.btnClose = new System.Windows.Forms.Button();
			this.gbInfo.SuspendLayout();
			this.SuspendLayout();
			// 
			// gbInfo
			// 
			this.gbInfo.Controls.Add(this.lblDescription);
			this.gbInfo.Controls.Add(this.label5);
			this.gbInfo.Controls.Add(this.lblVersion);
			this.gbInfo.Controls.Add(this.label3);
			this.gbInfo.Controls.Add(this.lblAuthors);
			this.gbInfo.Location = new System.Drawing.Point(3, 65);
			this.gbInfo.Name = "gbInfo";
			this.gbInfo.Size = new System.Drawing.Size(289, 214);
			this.gbInfo.TabIndex = 12;
			this.gbInfo.TabStop = false;
			this.gbInfo.Text = "Info";
			// 
			// lblDescription
			// 
			this.lblDescription.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDescription.ForeColor = System.Drawing.Color.LightSlateGray;
			this.lblDescription.Location = new System.Drawing.Point(8, 11);
			this.lblDescription.Name = "lblDescription";
			this.lblDescription.Size = new System.Drawing.Size(271, 85);
			this.lblDescription.TabIndex = 12;
			this.lblDescription.Text = "label1";
			this.lblDescription.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(12, 140);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(51, 23);
			this.label5.TabIndex = 9;
			this.label5.Text = "Authors : ";
			// 
			// lblVersion
			// 
			this.lblVersion.ForeColor = System.Drawing.Color.LightSlateGray;
			this.lblVersion.Location = new System.Drawing.Point(63, 123);
			this.lblVersion.Name = "lblVersion";
			this.lblVersion.Size = new System.Drawing.Size(100, 14);
			this.lblVersion.TabIndex = 8;
			this.lblVersion.Text = "version";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(10, 123);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(50, 23);
			this.label3.TabIndex = 7;
			this.label3.Text = "Version : ";
			// 
			// lblAuthors
			// 
			this.lblAuthors.ForeColor = System.Drawing.Color.LightSlateGray;
			this.lblAuthors.Location = new System.Drawing.Point(62, 140);
			this.lblAuthors.Name = "lblAuthors";
			this.lblAuthors.Size = new System.Drawing.Size(210, 54);
			this.lblAuthors.TabIndex = 6;
			// 
			// lblName
			// 
			this.lblName.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblName.ForeColor = System.Drawing.Color.SteelBlue;
			this.lblName.Location = new System.Drawing.Point(9, 21);
			this.lblName.Name = "lblName";
			this.lblName.Size = new System.Drawing.Size(274, 37);
			this.lblName.TabIndex = 11;
			this.lblName.Text = "Name";
			this.lblName.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// btnClose
			// 
			this.btnClose.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnClose.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnClose.Location = new System.Drawing.Point(122, 286);
			this.btnClose.Name = "btnClose";
			this.btnClose.TabIndex = 10;
			this.btnClose.Text = "Close";
			// 
			// CDMenuInfoEditor
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.Window;
			this.ClientSize = new System.Drawing.Size(297, 314);
			this.ControlBox = false;
			this.Controls.Add(this.gbInfo);
			this.Controls.Add(this.lblName);
			this.Controls.Add(this.btnClose);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "CDMenuInfoEditor";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "CD-Menu informations";
			this.VisibleChanged += new System.EventHandler(this.CDMenuInfoEditor_VisibleChanged);
			this.gbInfo.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion


		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label lblVersion;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label lblAuthors;
		private System.Windows.Forms.Label lblName;
		private System.Windows.Forms.Button btnClose;
		private System.Windows.Forms.GroupBox gbInfo;
		private System.Windows.Forms.Label lblDescription;

		#region Fields
		public CDIStudio.CDMenus.Forms.CDMenu cdMenu;
		#endregion

		#region Propertys


		#endregion


		#region Indexes


		#endregion


		#region Methods
		private void CDMenuInfoEditor_VisibleChanged(object sender, System.EventArgs e)
		{
			Type classCDMenu = cdMenu.GetType();
				
			if(Visible == true)
			{
			    CDMenuInfo Info= CDMenuFactory.GetCDMenuInfo(cdMenu);
				lblName.Text = Info.Name;
				lblDescription.Text = Info.Description;
				lblVersion.Text = cdMenu.CDInfoVersion;
				foreach(string author in Info.Authors)
				{
					lblAuthors.Text = lblAuthors.Text + author + "\n"; 
				}
			}
		}

		#endregion


		#region Events


		#endregion
	}



	#region	 CDMenuInfoTypeEditor

	public class CDMenuInfoTypeEditor : System.Drawing.Design.UITypeEditor 
	{
		public CDMenuInfoTypeEditor()
		{
			 
	
		}

		[System.Security.Permissions.PermissionSet(System.Security.Permissions.SecurityAction.Demand, Name="FullTrust")]
		public override System.Drawing.Design.UITypeEditorEditStyle GetEditStyle(System.ComponentModel.ITypeDescriptorContext context)
		{
			
			return UITypeEditorEditStyle.Modal;	 
		}

		[System.Security.Permissions.PermissionSet(System.Security.Permissions.SecurityAction.Demand, Name="FullTrust")]
		public override object EditValue(System.ComponentModel.ITypeDescriptorContext context, System.IServiceProvider provider, object value)
		{
			IWindowsFormsEditorService edSvc = (IWindowsFormsEditorService)provider.GetService(typeof(IWindowsFormsEditorService));
			if( edSvc != null )
			{					
				CDMenuInfoEditor editor = new CDMenuInfoEditor();
				editor.cdMenu = CDIStudio.CDMenus.CDMenuFactory.CDMenu;

				if (edSvc.ShowDialog(editor) == System.Windows.Forms.DialogResult.OK)
				{  
					return value;
				}
			}
			return value;
		}

		public override bool GetPaintValueSupported(
			System.ComponentModel.ITypeDescriptorContext context)
		{
			// No special thumbnail will be shown for the grid.
			return false;
		}		
	}
	#endregion


	#region	class CDMenuInfoConverter
	/// <summary>
	/// ConverterType for ActionParametersConverter.
	/// </summary>
	public class CDMenuInfoConverter : TypeConverter 
	{
		// Overrides the CanConvertFrom method of TypeConverter.
		// The ITypeDescriptorContext interface provides the context for the
		// conversion. Typically, this interface is used at design time to 
		// provide information about the design-time container.
		public override bool CanConvertFrom(ITypeDescriptorContext context, 
			Type sourceType) 
		{
			
			if (sourceType == typeof(string)) 
			{
				//this make the property grid to forbid you , from editing directly the string.
				return false;
			}
			return base.CanConvertFrom(context, sourceType);
		}

		// Overrides the ConvertFrom method of TypeConverter.
		public override object ConvertFrom(ITypeDescriptorContext context, 
			CultureInfo culture, object value) 
		{
			//
			/*
			if (value is string) 
			{
				string[] v = ((string)value).Split(new char[] {':'});
				ActionParameters ap = new ActionParameters();
				ap[0] = v[0];
				ap[1] = v[1];
				return ap;

			}											   */
			return base.ConvertFrom(context, culture, value);	
		}
		// Overrides the ConvertTo method of TypeConverter.
		public override object ConvertTo(ITypeDescriptorContext context, 
			CultureInfo culture, object value, Type destinationType) 
		{  
			if (destinationType == typeof(string)) 
			{
				return "Info";
			}
			return base.ConvertTo(context, culture, value, destinationType);
		}
	}

	#endregion
}
